> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-powershell-api-guide/v19/parallels-ras-powershell-admin-module/class/raspowerpermission-class.md).

# RASPowerPermission Class

### NAMESPACE

RASAdminEngine.Core.OutputModels

### DESCRIPTION

The RAS power administrator permissions

### INHERITED FROM

[RASSerilazableObj](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/RASSerilazableObj.html)⇒RASPowerPermission

### INTERFACES

* ISerializable
* IComparable

### PUBLIC PROPERTIES

| Type          | Name                         | Description |                                                                         |
| ------------- | ---------------------------- | ----------- | ----------------------------------------------------------------------- |
| UInt32        | AdminId                      |             | Admin account ID                                                        |
| Boolean       | AllowAllSites                |             | Permission to manage all Sites in the Farm.                             |
| Boolean       | AllowConnectionChanges       |             | Permission to do changes to Connection settings.                        |
| Boolean       | AllowDeviceManagementChanges |             | Permission to manage client devices.                                    |
| List\<UInt32> | AllowInSiteIds               |             | A list of site IDs which the administrator should be allowed to manage. |
| Boolean       | AllowPolicyChanges           |             | Permission to manage RAS client Policies.                               |
| Boolean       | AllowPublishingChanges       |             | Permission to manage published resources.                               |
| Boolean       | AllowSessionManagement       |             | Permission to manage user sessions.                                     |
| Boolean       | AllowSiteChanges             |             | Permission to do changes to RAS Site settings.                          |
| Boolean       | AllowViewingPolicyInfo       |             | Permission for read mode to RAS client Policies.                        |
| Boolean       | AllowViewingReportingInfo    |             | Permission for read mode access to RAS Reporting..                      |
| Boolean       | AllowViewingSiteInfo         |             | Permission for read mode access to RAS Site information.                |

### PUBLIC METHODS

| Type    | Name                   | Description                                                                                                                                                    |   |
| ------- | ---------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------- | - |
| Int32   | CompareTo (Object obj) | Inherited from [RASSerilazableObj](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/RASSerilazableObj.html) |   |
| Boolean | Equals (Object obj)    | Inherited from [RASSerilazableObj](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/RASSerilazableObj.html) |   |
| Int32   | GetHashCode ()         | Inherited from [RASSerilazableObj](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/RASSerilazableObj.html) |   |
| Type    | GetType ()             |                                                                                                                                                                |   |
| String  | ToString ()            |                                                                                                                                                                |   |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v19/parallels-ras-powershell-admin-module/class/raspowerpermission-class.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
